# jautoTranspose

Set the way to convert matrices

## Calling Sequence

                method = jautoTranspose()
                jautoTranspose(method)

## Parameters

method

  A boolean giving the type of conversion

## Description

In Scilab a matrix such as `[1 2 3;4 5 6]` is stored `[1 4 2 5 3 6]` (column by column). In Java the same matrix is stored as `[->[1 2 3] ->[4 5 6]]` (array of pointers).

When method is '%f' (column-row), the internal array `[1 4 2 5 3 6]` is passed as it is and Java creates the array `[->[1 4] ->[2 5] ->[3 6]]`.

When method is 't' (row-column), the array `[1 4 2 5 3 6]` is passed as `[1 2 3 4 5 6]` and converted into `[->[1 2 3] ->[4 5 6]]`.

By default, the method is set to '%f'.

## Examples

                   jautoTranspose()
                   jautoTranspose(%t)

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.